[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [DeviceType](./index.md)

# DeviceType

`enum class DeviceType` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/Devices.kt#L113)

Describes a type of the physical device in the constellation.

### Enum Values

| Name | Summary |
|---|---|
| [DESKTOP](-d-e-s-k-t-o-p.md) |  |
| [MOBILE](-m-o-b-i-l-e.md) |  |
| [TABLET](-t-a-b-l-e-t.md) |  |
| [TV](-t-v.md) |  |
| [VR](-v-r.md) |  |
| [UNKNOWN](-u-n-k-n-o-w-n.md) |  |

### Extension Functions

| Name | Summary |
|---|---|
| [into](../../mozilla.components.service.fxa/into.md) | `fun `[`DeviceType`](./index.md)`.into(): Type` |
| [intoSyncType](../../mozilla.components.service.fxa/into-sync-type.md) | `fun `[`DeviceType`](./index.md)`.intoSyncType(): DeviceType`<br>FxA and Sync libraries both define a "DeviceType", so we get to have even more cruft. |
